%define name	TeXmacs
%define version	1.0.7
%define release	1
%define ename	texmacs

Summary:	WYSIWYG mathematical text editor
Name:		%name
Version:	%version
Release:	%mkrel %release
License:	GPLv2+
Group:		Editors
URL:		http://www.texmacs.org
Source0:	ftp://ftp.texmacs.org/pub/TeXmacs/targz/%{name}-%{version}-src.tar.gz
Source1:	%{name}-icons.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:	TeXmacs-extra-fonts
Requires:	tetex
Requires:	guile
Requires:	R-base
#Requires:	axiom
#Requires:	maxima >= 5.9.1
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

BuildRequires:	X11-devel
BuildRequires:	libguile-devel
BuildRequires:	desktop-file-utils

Obsoletes:	TeXmacs-fonts
Provides:	TeXmacs-fonts


%description
GNU TeXmacs is a free scientific text editor, which was inspired both by 
TeX and GNU Emacs. The editor allows you to write structured documents via 
a wysiwyg (what-you-see-is-what-you-get) and user friendly interface. New 
styles may be created by the user. The program implements high-quality 
typesetting algorithms and TeX fonts, which help you to produce professionally 
looking documents.

The high typesetting quality still goes through for automatically generated 
formulas, which makes TeXmacs suitable as an interface for computer algebra 
systems. TeXmacs also supports the Guile/Scheme extension language, so that 
you may customize the interface and write your own extensions to the editor.

Converters exist for TeX/LaTeX and they are under development for 
Html/Mathml/Xml.

%prep
%setup -q -n %{name}-%{version}-src
%setup -q -T -D -a 1 -n %{name}-%{version}-src

%build
%configure2_5x --enable-optimize="%{optflags}"

%make

%install
rm -rf %{buildroot}
%makeinstall_std
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`

# fix calls for R >= 2.0.0
(cd %{buildroot}%{_datadir}/TeXmacs/plugins/r/r/
R CMD build --force TeXmacs
R CMD INSTALL -l `pwd` TeXmacs_0.1.tar.gz)

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp -a %{name}.16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp -a %{name}.32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp -a %{name}.48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# menu
mkdir -p  %{buildroot}%{_datadir}/applications
cp -a %{buildroot}%{_datadir}/%{name}/misc/mime/%{ename}.desktop %{buildroot}%{_datadir}/applications/

sed -i -e 's|^\(Icon=%{name}\).xpm$|\1|' -e 's|^\(Terminal=\)0$|\1false|'\
 %{buildroot}%{_datadir}/applications/%{ename}.desktop

desktop-file-install --vendor ""\
 --remove-category "Application"\
 --remove-key "Path" --remove-key "BinaryPattern" --remove-key "MapNotify"\
 --remove-key "Protocols" --remove-key "TerminalOptions"\
 --add-category "WordProcessor" --add-category "Math"\
 --add-category "X-PCLinuxOS-MoreApplications-Sciences-Mathematics"\
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{ename}.desktop

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%{_bindir}/%{ename}
%{_bindir}/fig2ps
%{_includedir}/%{name}.h
%{_mandir}/man1/%{ename}.1*
%{_mandir}/man1/fig2ps.1*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{ename}.desktop


%changelog
* Fri Nov 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.7-1
- New version 1.0.7

* Fri Nov 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.0.6.14-2
- Rebuild

* Tue May 27 2008 Stumpy842 <stump842@gmail.com> 1.0.6.14-1
- Import for pclos

* Wed Nov 07 2007 Funda Wang <fundawang@mandriva.org> 1.0.6.12-2mdv2008.1
+ Revision: 106707
